List all secret injection rules
GET
/v1/secret-injection-rules
const url = 'http://127.0.0.1:8080/v1/secret-injection-rules';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url http://127.0.0.1:8080/v1/secret-injection-rules \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”List response envelope.
Media type application/json
List response envelope.
object
data
required
Array<object>
Secret injection rule response object.
object
credential_display_name
required
Stored credential display name.
string
host_pattern
required
Host pattern that must match before injection.
string
id
required
Stable rule UUID.
string
injection_config_json
required
Injection config JSON string.
string
path_pattern
required
Path pattern that must match before injection.
string
runtime_display_name
required
Runtime display name that owns the rule.
string
Example generated
{ "data": [ { "credential_display_name": "example", "host_pattern": "example", "id": "example", "injection_config_json": "example", "path_pattern": "example", "runtime_display_name": "example" } ]}Missing, malformed, or rejected bearer token
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}The bearer token is not allowed to perform this action
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}The requested resource was not found
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}The request conflicts with current resource state
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}Validation or application error
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}Rate limit exceeded
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}Upstream service is unavailable
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}Upstream request timed out
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}default
Section titled “default ”Error response
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}